/*
 * MP3/MPlayer plugin to VDR (C++)
 *
 * (C) 2001,2002 Stefan Huelswitt <huels@iname.com>
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 */

#ifndef ___DVB_MP3_H
#define ___DVB_MP3_H

#include <vdr/player.h>

// -------------------------------------------------------------------

class cMP3Player;
class cPlayList;

// -------------------------------------------------------------------

class cMP3PlayInfo {
public:
  char Title[64], Artist[64], Album[64], SMode[32];
  int Year, SampleFreq, Bitrate, MaxBitrate;
  int Num, MaxNum;
  bool Loop, Shuffle;
  cPlayList *PlayList;
  };

// -------------------------------------------------------------------

class cMP3PlayerControl : public cControl {
private:
  cMP3Player *mp3player;
public:
  cMP3PlayerControl(cPlayList *plist);
  virtual ~cMP3PlayerControl();
  bool Active(void);
  void Stop(void);
  void Pause(void);
  void Play(void);
  void Forward(void);
  void Backward(void);
  void SkipSeconds(int Seconds);
  void Goto(int Index, bool Still = false);
  //
  void ToggleShuffle(void);
  void ToggleLoop(void);
  bool GetPlayInfo(cMP3PlayInfo *rm);
  void NewPlaylist(cPlayList *plist);
  bool IsStream(void);
  };

#endif //___DVB_MP3_H
